Page MenuHomePhabricator

Flow doesn't auto-switch to mobile view with index.php URLs
Closed, ResolvedPublic

Description

This URL doesn’t auto-switch to mobile view:

https://www.mediawiki.org/w/index.php?title=Topic:Sj7sxbfshzd46w7z

but this URL does:

https://www.mediawiki.org/wiki/Topic:Sj7sxbfshzd46w7z

Both should auto-switch to the mobile view because they lead to essentially the same page.

I tried both on Chrome and on Firefox on Samsung Galaxy S5.

Event Timeline

Amire80 created this task.Jun 14 2015, 5:36 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 set Security to None.Jun 14 2015, 7:19 PM
Amire80 added subscribers: DannyH, Jdlrobson.

@Amire80 is this a Flow specific problem? Can you replicate it with non-Flow urls?

Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.Jun 15 2015, 5:19 PM
phuedx added a subscriber: phuedx.Jun 24 2015, 2:44 PM

I believe that this was fixed as part of T103158 – I'm now seeing the example URLs auto-redirect properly. @Amire80: Can you verify your side?

phuedx closed this task as Resolved.Jul 1 2015, 6:21 PM

The example URL now auto-switches to the mobile view.